ADMIN_NAME=empaia_admin
ADMIN_EMAIL_ADDRESS=empaia_admin@empaia.org
ADMIN_PASSWORD=password

AUTH_SERVICE_CLIENT_ID=auth_service_client

KEYCLOAK_FRONTEND_URL=http://localhost:8080/auth/
KEYCLOAK_USER=keycloak
KEYCLOAK_PASSWORD=password

PORTAL_CLIENT_ID=portal_client

CLIENTS='{
    "frontends": [
        {
            "client_id": "portal_client",
            "name": "Portal Client",
            "base_url": "https://portal.empaia.demo",
            "redirect_uris": [
                "https://portal.empaia.demo",
                "https://lab1.empaia.demo",
                "http://localhost",
                "https://localhost"
            ],
            "web_origins": [
                "https://portal.empaia.demo",
                "http://localhost",
                "https://localhost"
            ]
        },
        {
            "client_id": "swagger",
            "name": "Swagger Client",
            "redirect_uris": [
                "http://localhost:8765/docs/swagger-ui/oauth2-redirect.html"
            ],
            "web_origins": [
                "+"
            ]
        }
    ],
    "services": [
        {
            "client_id": "auth_service_client",
            "old_client_id": "org.empaia.prod.aaa",
            "name": "Auth Service",
            "audiences": [
                "shout_out_service_client"
            ],
            "root_url": "${authBaseUrl}",
            "secret": "c01e62ac-f7b3-4830-ace7-e124e80113fd"
        },
        {
            "client_id": "event_service_client",
            "name": "Event Service",
            "secret": "event_service_client_secret"
        },
        {
            "client_id": "marketplace_service_client",
            "name": "Marketplace Service",
            "audiences": [
                "shout_out_service_client"
            ],
            "secret": "marketplace_service_client_secret"
        },
        {
            "client_id": "shout_out_service_client",
            "name": "Shout Out Service",
            "secret": "shout_out_service_client_secret"
        }
    ]
}'
